Post Reply 

Gimp 2.7.3 ppa or else?

Aug 21, 2011, 15:43
Post: #1
Gimp 2.7.3 ppa or else?
In the recent update of this ppa there's a regression (at the least on Natty for me): Scriptfu won't start and, among with other things, I can't export to openraster.

So I was wondering if someone has another ppa or (even better) a .deb archive for Gimp 2.7.3 or 2.7.2. Thanks
Find all posts by this user
Quote this message in a reply
Aug 22, 2011, 15:09
Post: #2
RE: Gimp 2.7.3 ppa or else?
Linux MINT 11. I tried 2.7.3 from there and I could not see any color in gradient dialog and I had a some problems with some of the selection tools. I ended up removing the PPA and going back to 2.6.11

Maybe we are missing some new versions of dependency's not on his list.
Find all posts by this user
Quote this message in a reply
Aug 22, 2011, 17:10
Post: #3
RE: Gimp 2.7.3 ppa or else?
From what I heard on the devs mailing list: you need at least a recent GEGL lib (don't remember the exact level) and python 2.7 for the python stuff.

Now answering your questions on
https://Gimp-Forum.net
Visit this user's website Find all posts by this user
Quote this message in a reply
Aug 22, 2011, 22:26 (This post was last modified: Aug 22, 2011 22:27 by ofnuts.)
Post: #4
RE: Gimp 2.7.3 ppa or else?
(Aug 22, 2011 17:10)ofnuts Wrote:  From what I heard on the devs mailing list: you need at least a recent GEGL lib (don't remember the exact level) and python 2.7 for the python stuff.
Hmm The dev team just announced the real 2.7.3. The catch here is that on the Git repository the developers use, the code has the "next" version. So 2.7.3 was experimental, until today where it was deemed good enough and the dev team published a stable "tarball". The Git repository is now 2.7.4.

In other words, your 2.7.3 was either unstable or incorrectly versioned.

Now answering your questions on
https://Gimp-Forum.net
Visit this user's website Find all posts by this user
Quote this message in a reply
Oct 6, 2011, 19:05
Post: #5
RE: Gimp 2.7.3 ppa or else?
Hi there.

If it can help, you may be interested in a small bash script I've wrote in order to automate the compilation process of gimp 2.7.x in it's latest development version.

The script is mainly designed for ubuntu, but it can easily be used on any other linux distro, you just have to configure the distribution specific part, which is mainly the dependencies installation.
The script also manage the checkout of babl and gegl, and their respective compilation and linking, so you can use as many versions as you want simultaneously.

More here:

http://blog.zanshine.com/2011/10/cutting...buntu.html
Find all posts by this user
Quote this message in a reply
Post Reply 


Possibly Related Threads...
Thread: Author Replies: Views: Last Post
Tongue Installing GIMP User Manual ozdoug 2 63 Aug 9, 2017 00:54
Last Post: ozdoug
  Running GIMP from cmd without new window appearing llipowicz 2 106 Jun 27, 2017 15:07
Last Post: ythgilb
  GIMP crashed, and all my saved changes are gone LostGoldfish 1 129 Jun 23, 2017 13:20
Last Post: ythgilb
  GIMP 2.6 won't uninstall maxwelldm 2 225 Oct 11, 2014 01:00
Last Post: maxwelldm
Sad GIMP Not Opening tilachihuahua 1 163 Oct 11, 2014 00:15
Last Post: ofnuts

Forum Jump:


GIMP ForumPortalArchiveContactTermsRSS